dict-foldoc (20250211-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 06 Dec 2025 10:41:58 +0100

dict-foldoc (20250211-1) unstable; urgency=medium

  * New upstream version.
  * Minor packaging refresh (basically a no-op).

 -- Iustin Pop <iustin@debian.org>  Thu, 13 Feb 2025 21:49:02 +0000

dict-foldoc (20230119-1) unstable; urgency=medium

  * New upstream version.
  * Integrate cleanup done by the janitor (Remove unnecessary
    constraints).
  * Bump standards version (no changes needed).
  * Switch to debhelper-compat 13 (no changes as a result).
  * Switch to the dh sequencer; the package was custom, but not for any
    good reason, and with a bit of effort it was then trivial to convert.

 -- Iustin Pop <iustin@debian.org>  Mon, 23 Jan 2023 23:48:30 +0100

dict-foldoc (20201018-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.

  [ Iustin Pop ]
  * New upstream version.
  * Make get-orig-source rule use UTC for stable versioning.
  * Update standards version to 4.5.0 (no changes needed).

 -- Iustin Pop <iustin@debian.org>  Wed, 11 Nov 2020 03:56:20 +0100

dict-foldoc (20181230-1) unstable; urgency=medium

  * New upstream version, quite a bit of changes (but small).
  * Update a bit the packaging, fixing some lintian warnings.
  * New standards version, but not changes needed.

 -- Iustin Pop <iustin@debian.org>  Tue, 01 Jan 2019 16:34:24 +0100

dict-foldoc (20170105-1) unstable; urgency=low

  * New upstream version, with just a few small changes.

 -- Iustin Pop <iustin@debian.org>  Tue, 24 Jan 2017 00:24:20 +0100

dict-foldoc (20160505-1) unstable; urgency=low

  [ Iustin Pop ]
  * Imported Upstream version 20160505.
  * Update get-orig-source rule for new upstream URL and switch to https.
  * Standards version 3.9.8 (no changes needed).
  * Switch Vcs links to point to secure URLs.
  * Fix autopkgtests when running on ci.debian.net.
  * Stop using absolute paths in maintainer scripts.

  [ Reiner Herrmann ]
  * Fix inconsistent builds by using the C locale for date calls
    (Closes: #792528)

 -- Iustin Pop <iustin@debian.org>  Sun, 08 May 2016 22:15:10 +0200

dict-foldoc (20150318-1) unstable; urgency=medium

  * New upstream release.
  * Make the build reproducible, patch from Chris Lamb <lamby@debian.org>
    (Closes: #776397).
  * Standards version 3.9.5 (no changes needed).

 -- Iustin Pop <iustin@debian.org>  Wed, 29 Apr 2015 12:58:30 +0200

dict-foldoc (20140720-1) unstable; urgency=medium

  * Imported Upstream version 20140720
  * Udpate Vcs-* fields to point to anonscm
  * Standards version 3.9.5 (no changes needed)

 -- Iustin Pop <iustin@debian.org>  Mon, 21 Jul 2014 03:20:32 +0200

dict-foldoc (20120518-1) unstable; urgency=low

  * New upstream sync (phew, almost two years)
  * Standards version 3.9.3 (no changes needed)

 -- Iustin Pop <iustin@debian.org>  Sun, 20 May 2012 13:17:54 +0200

dict-foldoc (20100726-1) unstable; urgency=low

  * New upstream sync
  * Standards version 3.9.1 (no changes needed)

 -- Iustin Pop <iustin@debian.org>  Sat, 31 Jul 2010 21:45:06 -0400

dict-foldoc (20100130-1) unstable; urgency=low

  * New upstream version
  * Change the maintainer field to my @debian address
  * Standards version 3.8.4 (no changes needed)

 -- Iustin Pop <iustin@debian.org>  Sun, 31 Jan 2010 01:29:39 +0100

dict-foldoc (20091217-1) unstable; urgency=low

  * New upstream version
  * Switch to source format 3.0 (quilt)
  * Update standards version to 3.8.3 (no changes needed)
  * Automate upstream tar.gz creation and update

 -- Iustin Pop <iusty@k1024.org>  Sun, 27 Dec 2009 01:30:38 +0100

dict-foldoc (20090404-1) unstable; urgency=low

  * New upstream version
  * Standards version 3.8.1 (no changes needed)
  * Switched from dpatch to quilt

 -- Iustin Pop <iusty@k1024.org>  Sat, 18 Apr 2009 19:55:24 +0200

dict-foldoc (20080708-2) unstable; urgency=low

  * Fix package synopsis (wrong capitalization)

 -- Iustin Pop <iusty@k1024.org>  Sat, 12 Jul 2008 11:09:16 +0200

dict-foldoc (20080708-1) unstable; urgency=low

  * New Upstream Version
  * Adopt package (Closes: #461565)
  * Changed build system from manual to debhelper (and dpatch for patches)
  * Reverted changes to upstream not done via patches
  * Now really provide dictd-dictionary (Closes: #466209), thanks Tatsuya!
  * Apply typo patch from Martin Michlmayr <tbm@cyrius.com> (Closes: #433433)
  * Build dictionary as utf8 encoded (as upstream provides it)

 -- Iustin Pop <iusty@k1024.org>  Sat, 12 Jul 2008 08:19:08 +0200

dict-foldoc (20070526-3) unstable; urgency=low

  * QA upload.
  * Call debian/condense with perl (Closes: #470897)
  * Removed Priority: optional field from package section.
  * Reordered package section a bit.
  * Provide the virtual dictd-dictionary package as suggested.
    (Closes: #466209)

 -- Patrick Winnertz <winnie@debian.org>  Fri, 14 Mar 2008 13:03:15 +0100

dict-foldoc (20070526-2) unstable; urgency=low

  * QA upload orphaning the package.
  * Bump Standards-Version.
  * Refer to /usr/share/common-licenses/GFDL, and Depend on base-files
    >> 4.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Feb 2008 14:14:33 +0100

dict-foldoc (20070526-1) unstable; urgency=low

  * New upstream version

  * Close bugs fixed in NMU, thanks to Matej Vela <vela@debian.org>.
    Closes: #348261, #356044/

  * The FOLDOC contains almost 3000 entries whose definitions consists of
    only a cross-reference to another entry.  In this package these have
    been consolidated so that a query for either the cross-reference or
    the referenced entry yields the full definition of the term.  Thanks
    to Kirk Hilliard <kirk@debian.org> for the script to implement this.

  * Added "Mail Transfer Agent"  to the definiton for "MTA".
    Closes: #406776

  * Changed definition of CMM from "Capabilities Maturity Model" to
    "Capability Maturity Model".  Closes: #246661.

  * Clarified distinction between "LORIA" and "INRIA".  Closes: #278498.

  * Added "A4C" Closes: #356848.

 -- Robert D. Hilliard <hilliard@debian.org>  Wed, 30 May 2007 21:59:36 -0400


dict-foldoc (20030919-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Fix build failure with make 3.81+.  Thanks to Matt Kraai
    for the patch.  Closes: #356044.
  * debian/postinst, debian/postrm: Use invoke-rc.d.  Closes: #348261.

 -- Matej Vela <vela@debian.org>  Fri, 17 Mar 2006 09:48:59 +0100

dict-foldoc (20030919-5) unstable; urgency=high
  * Sometime in 2003, the author changed the license from the very
    permissive license previously used to the GFDL. with no Invariant
    Sections, Front-or Back-Cover Texts, and I overlooked the change.
    This version corrects the copyright file, and includes a copy of the
    GFDL.  Closes: #286369

 -- Robert D. Hilliard <hilliard@debian.org>  Mon, 20 Dec 2004 12:14:39 -0500


dict-foldoc (20030919-4) unstable; urgency=low
  * Built with dictfmt 1.9.11CVS-3

  * Not released - testing 1.9.11CVS-3

 -- Robert D. Hilliard <hilliard@debian.org>  Thu, 05 Feb 2004 16:40:10 -0500


dict-foldoc (20030919-3) unstable; urgency=low

  * Built with dictfmt 1.9.11CVS-2

  * Not released - testing 1.9.11CVS-2

 -- Robert D. Hilliard <hilliard@debian.org>  Mon, 26 Jan 2004 10:25:14 -0500


dict-foldoc (20030919-2) unstable; urgency=low

  * Corrected format of Build-Depends-Indep: Closes: #218708

 -- Robert D. Hilliard <hilliard@debian.org>  Sun, 02 Nov 2003 11:53:23 -0500


dict-foldoc (20030919-1) unstable; urgency=low

  * New upstream version

  * Added konwert to Build-Depends-Indep: - Closes: #211759

  * Upstream has corrected typo in "DVI" entry - Closes: #204715
    revised definition for "GCC" - Closes: #198969
    removed definition for "defenestration" - Closes: #149358.

  * This upload corrects typo in  "reverse engineering", closes: #205259,
    removes braces around "inverse comment convention" in "literate
    programming" entry (entry defines "inverse comment convention", so
    cross references is not needed - Closes: #199091
    adds definitions for:
    "Free On-line Dictionary of Computing" - Closes: #199092
    "BlackICE" - Closes: #199283
    "Harvard Mark II machine" - Closes: #199614
    "Linux User Group" - Closes: #202088

    The above fixes have been sent upstream.

 -- Robert D. Hilliard <hilliard@debian.org>  Fri, 19 Sep 2003 19:48:12 -0400


dict-foldoc (20030517-1) unstable; urgency=low

  *  New Upstream Version

  * Used `--allchars' option to dictfmt.  This permits looking up the
    dozen or so entries that include non-alpahnumeric characters.

  * Removed non-ASCII charaters by filtering upstream dictionary through
    /usr/share/konwert/filters/iso1-ascii.  Closes: #93607, #191204

  # This version fixes typo in C-BC entry Closes: #170372

  # Added url to entry for KIBO in this upload Closes: #176256

 -- Robert D. Hilliard <hilliard@debian.org>  Tue, 20 May 2003 18:58:49 -0400


dict-foldoc (20020912-2) unstable; urgency=low

  * Formatted with dictfmt 1.8.0

  * Modified rules to eliminate kludge to workaround dictfmt bug (duplicate
    index entry) whihc has been fixed in 1.8.0

 -- Robert D. Hilliard <hilliard@debian.org>  Wed,  9 Oct 2002 15:22:31 -0400


dict-foldoc (20020912-1) unstable; urgency=low

  * Downloaded new upstream version, and created
    dict-foldoc_20020912.orig.tar.gz

  * This upstream version includes a corrected definition for "Basic
    Multilingual Plane" - closes: #138408; and corrects a typo in "Real
    Programmers Don't Use Pascal"-  closes: #136746

  * This Debian release includes the following fixes, which have been
    submitted upstram, but not yet incorporated in the Dictionaryu:
    Fixed typo in "postfix notation" entry - closes: #159425
    Corrected and updated entry for "Richard Stallman" - closes: #155545
    Added additional sense for 'iff' - closes: #146661
    Added definition for "Supplementary Ideographic Plane" (also part of
    #136746 )
    Added definitions for "Advanced Programmable Interrupt Controller" and
    "Programmable Interrupt Controller" to really fix #71477, which was
    incorrectly closed earlier.
    These items are included in debian/Dictionary.debian and debian/diff.

  * Removed /usr/doc symlinkgs in postinst and prerm.

 -- Robert D. Hilliard <hilliard@debian.org>  Tue, 17 Sep 2002 18:59:18 -0400


dict-foldoc (20020209-1) unstable; urgency=low

  * Downloaded new upstream version, and created
    dict-foldoc_20020209.orig.tar.gz

  * This version updates definitions of "cpp" Closes: #104128,
    and "Plonk" Closes: #107834;
    corrects spelling for "Augmented Backus-Naur Form" Closes: # 131992;
    includes definition for "UCS transformation format" Closes:#106617.

  * Modified Dictionary.debian to delete items that have been
    included upstream.

  * Added definitions of  "BTS" and related terms, "In-band signalling",
    "Out-of-band signaling", and "virtual server" to Dictionary.debian
    Closes: #132641

  * Modified definition of "DIANA" and "well-ordered set" in Dictionary.
    Closes: #109459, #113108.

 -- Robert D. Hilliard <hilliard@debian.org>  Sun, 10 Feb 2002 14:12:03 -0500


dict-foldoc (20010606-1) unstable; urgency=low

  * Downloaded new upstream version, and renamed it
    dict-foldoc_20010606.orig.tar.gz

  * Modified Dictionary.debian to reflect items that have been
    included upstream.

  * Added definitions relating to DSP and HDF
    Closes: #99836, #92983

  * Added definitions for PIC and APIC
    Closes: #71477

 -- Robert D. Hilliard <hilliard@debian.org>  Tue, 12 Jun 2001 16:17:17 -0400


dict-foldoc (20010313-1) unstable; urgency=low

  * Downloaded new upstream version, and renamed it
    dict-foldoc_20010313.orig.tar.gz

  * Modified Dictionary.debian to reflect items that have been
    included upstream.

  * Added definitions for Advanced Encryption Standard, Rijndael,
    E-carrier system and related terms, and modified definitions for
    Document Type Definition and E1.
    Closes: #88166, #88489, #89437

 -- Robert D. Hilliard <hilliard@debian.org>  Fri, 16 Mar 2001 17:41:45 -0500


dict-foldoc (20010119-2) unstable; urgency=low

  * Corrected date in header of foldoc.dict.dz

 -- Robert D. Hilliard <hilliard@debian.org>  Wed, 24 Jan 2001 17:13:30 -0500


dict-foldoc (20010119-1) unstable; urgency=low

  * Downloaded new upstream version, and renamed it
    dict-foldoc_20010119.orig.tar.gz

  *  Modified Dictionary.debian to reflect inclusion of some terms in
     the upstream dictionary.

  *  Changed structure of source package to use /usr/bin/dictfmt
     instead of building dictfmt while building dict-jargon.

  *  Added Build-Depends

  *  There is a bug in dictfmt, that I haven't solved yet that
     produces a duplicate index entry for the last headword indexed.
     I have used a brute-force kluge to fix the index in this package.

 -- Robert D. Hilliard <hilliard@debian.org>  Sun, 21 Jan 2001 19:17:22 -0500


dict-foldoc (20000905-1) unstable; urgency=low
  * Change license of Dictionary.debian to be compatible with FOLDOC
    license.

  * New upstream version 20000905

  * Created new dict-foldoc_20000905.orig.tar.gz

  * Changed Description field in control file

  * Updated version date in db target of Makefile.in

 -- Bob Hilliard <hilliard@debian.org>  Fri,  8 Sep 2000 15:38:08 -0400


dict-foldoc (20000531-1) unstable; urgency=low
  * New upstream version 20000531

  * Created new dict-foldoc_20000531.orig.tar.gz

  * Changed Description field in control file

  * Updated version date in db target of Makefile.in

  * Added file debian/Dictionary.debian to add debian-specific definitions
    to foldoc.  Closes: #64197

  * Modified Makefile.in to use debian/Dictionary.deian in make db.

 -- Bob Hilliard <hilliard@debian.org>  Thu,  1 Jun 2000 13:37:34 -0400


dict-foldoc (20000421-1) unstable; urgency=low
  * New upstream version 20000421
    Created new dict-foldoc_20000421.orig.tar.gz

  * Changed Description field in control file

  * Updated version date in db target of Makefile.in

  * Update to Standards version 3.1.1.1

  * Cleaned up Makefile.in to remove references to other dictionaries
    (previously commented out).

 -- Bob Hilliard <hilliard@debian.org>  Sun, 30 Apr 2000 15:48:09 -0400


dict-foldoc (19991007-1) unstable; urgency=low

  * New upstream version 19991007
    Created new dict-foldoc_19991007.orig.tar.gz

  * Changed Description field in control file

  * Updated version date in db target of Makefile.in

  * Update to Standards version 3.0.1.1:
    Modified for FHS - /usr/share{doc, man}
    Added scripts to provide and remove symlink  /usr/doc/dict-wn
  to /usr/share/doc/dict-wn and to reconfigure and restart dictd
  when this package is installed or removed.
    Corrected location of GPL license

  * Changed Recommends: to Suggests: due to the evil way dselect
    treats recomends.

 -- Bob Hilliard <hilliard@debian.org>  Mon, 25 Oct 1999 16:05:00 -0400


dict-foldoc (19990720-1) unstable; urgency=low

  * New upstream version 19990720
    Created new dict-foldoc_19990720.orig.tar.gz

  * Changed Description field in control file

  * Updated version date in db target of Makefile.in

 -- Bob Hilliard <hilliard@debian.org>  Wed, 21 Jul 1999 21:08:22 -0400


dict-foldoc (19990612-1) unstable; urgency=low

  * New upstream version 19990612
    Created new dict-foldoc_19990612.orig.tar.gz

  * Changed Description field in control file

  * Updated version date in db target of Makefile.in

  * Added postinst and postrm scripts to register dictionary and
    restart Dictionary Server.

 -- Bob Hilliard <hilliard@debian.org>  Sun, 13 Jun 1999 23:19:16 -0400


dict-foldoc (19990505-1) unstable; urgency=low

  * New upstream version 19990505
    Created new dict-foldoc_19990505.orig.tar.gz

  * Changed Description field in control file

  * Updated version date in db target of Makefile.in

 -- Bob Hilliard <hilliard@debian.org>  Mon, 10 May 1999 19:48:00 -0400


dict-foldoc (19990317-1) unstable; urgency=low

  * New upstream version 19990317

  * Changed Description field in control file

  * Updated version date in db target of Makefile.in

  * Closes 28855, 32561

 -- Bob Hilliard <hilliard@debian.org>  Thu, 18 Mar 1999 16:38:51 -0500


dict-foldoc (19981213-1) unstable; urgency=low

  * New upstream version 19981213

  * Changed Description field in control file

  * Updated version date in db target of Makefile.in

 -- Bob Hilliard <hilliard@debian.org>  Mon, 14 Dec 1998 20:09:16 -0500

dict-foldoc (19980904-1) unstable; urgency=low

  * New upstream version 19980904

  * Updated version date in db target of Makefile.in

 -- Bob Hilliard <hilliard@debian.org>  Sat,  5 Sep 1998 19:16:40 -0400

dict-foldoc (19980612-1) unstable; urgency=low

  * New upstream version 19980612

  * Changed architecture from any to all

 -- Bob Hilliard <hilliard@debian.org>  Fri, 12 Jun 1998 18:25:25 -0400

dict-foldoc (19980420-1) unstable; urgency=low

  * Initial release

  * Modified dict-misc-1.4.tar.gz to make make an updated foldoc package:

  * Removed all dictionaries from data subdirectory and inserted the
    19980420 version of foldoc obtained from ftp.wombat.doc.ic.ac.uk.

  * Modified Makefile.in:
    Commented out all references to databases other than foldoc
    Changed revision date of foldoc in foldoc.dict target
    Removed configure from the files removed by the distclean target
    Commented out the "all" target, since $subdirs is null, and "all"
    target will fail.
    Commented out "install -m 755 -d $(dictdir)" since debian\rules makes
    this directory.
    Commented out subdirs loop in dist clean and recursive-clean

 -- Bob Hilliard <hilliard@debian.org>  Tue, 21 Apr 1998 20:54:08 -0400
